<?php 
if( !defined( 'Nwdthemes_Revslider_Helper_Framework::ABSPATH') ) exit();

$operations = new RevSliderOperations();
$arrValues = $operations->getGeneralSettingsValues();

$role = RevSliderBase::getVar($arrValues, 'role', 'admin');
$includes_globally = RevSliderBase::getVar($arrValues, 'includes_globally', 'on');
$pages_for_includes = RevSliderBase::getVar($arrValues, 'pages_for_includes', '');
$js_to_footer = RevSliderBase::getVar($arrValues, 'js_to_footer', 'off');
$js_defer = RevSliderBase::getVar($arrValues, 'js_defer', 'off');
$show_dev_export = RevSliderBase::getVar($arrValues, 'show_dev_export', 'off');
$change_font_loading = RevSliderBase::getVar($arrValues, 'change_font_loading', '');
$enable_logs = RevSliderBase::getVar($arrValues, 'enable_logs', 'off');

$enable_newschannel = Mage::helper('nwdrevslider/framework')->apply_filters('revslider_set_notifications', 'on');
$enable_newschannel = RevSliderBase::getVar($arrValues, "enable_newschannel",$enable_newschannel);

$width = RevSliderBase::getVar($arrValues, 'width', 1240);
$width_notebook = RevSliderBase::getVar($arrValues, 'width_notebook', 1024);
$width_tablet = RevSliderBase::getVar($arrValues, 'width_tablet', 778);
$width_mobile = RevSliderBase::getVar($arrValues, 'width_mobile', 480);

$force_activation_box = RevSliderBase::getVar($arrValues, 'force_activation_box', 'off');
?>

<div id="dialog_general_settings" class="wp-core-ui" title="<?php echo $this->__("General Settings"); ?>" style="display:none;">

	<div class="settings_wrapper unite_settings_wide">
		<form name="form_general_settings" id="form_general_settings">
			<script type="text/javascript">
				g_settingsObj['form_general_settings'] = {};
			</script>
			<table class="form-table">
				<tbody>
					<tr id="includes_globally_row" valign="top">
						<th scope="row">
							<?php echo $this->__("Include RevSlider libraries globally:"); ?>
						</th>
						<td>
							<span id="includes_globally_wrapper" class="radio_settings_wrapper">
							<div class="radio_inner_wrapper">
								<input type="radio" id="includes_globally_1" value="on" name="includes_globally" <?php Mage::helper('nwdrevslider/framework')->checked($includes_globally, 'on'); ?>>
								<label for="includes_globally_1" style="cursor:pointer;"><?php echo $this->__("On"); ?></label>
							</div>
				
							<div class="radio_inner_wrapper">
								<input type="radio" id="includes_globally_2" value="off" name="includes_globally" <?php Mage::helper('nwdrevslider/framework')->checked($includes_globally, 'off'); ?>>
								<label for="includes_globally_2" style="cursor:pointer;"><?php echo $this->__("Off"); ?></label>
							</div>
							</span>
				
							<div class="description_container">
								<span class="description"><?php echo $this->__("ON - Add CSS and JS Files to all pages. </br>Off - CSS and JS Files will be only loaded on specified pages."); ?></span>
							</div>
						</td>
					</tr>								
					<tr id="pages_for_includes_row" valign="top">
						<th scope="row">
							<?php echo $this->__("Pages to include RevSlider libraries:"); ?>
						</th>
						<td>
                            <input type="text" class="regular-text" id="pages_for_includes" name="pages_for_includes" value="<?php echo $pages_for_includes; ?>">
							<div class="description_container">
								<span class="description"><?php echo $this->__("Specify the page handles that the front end includes will be included in. Example: cms_page_view,catalog_product_view"); ?></span>
			
							</div>
						</td>
					</tr>								
					<tr id="show_dev_export_row" valign="top">
						<th scope="row">
							<?php echo $this->__("Enable Markup Export option:"); ?>
						</th>
						<td>
							<span id="show_dev_export_wrapper" class="radio_settings_wrapper">
								<div class="radio_inner_wrapper">
									<input type="radio" id="show_dev_export_1" value="on" name="show_dev_export" <?php Mage::helper('nwdrevslider/framework')->checked($show_dev_export, 'on'); ?>>
									<label for="show_dev_export_1" style="cursor:pointer;"><?php echo $this->__("On"); ?></label>
								</div>
				
								<div class="radio_inner_wrapper">
									<input type="radio" id="show_dev_export_2" value="off" name="show_dev_export" <?php Mage::helper('nwdrevslider/framework')->checked($show_dev_export, 'off'); ?>>
									<label for="show_dev_export_2" style="cursor:pointer;"><?php echo $this->__("Off"); ?></label>
								</div>					
							</span>					
							<div class="description_container">
                                <span class="description"><?php echo $this->__("This will enable the option to export the Slider Markups to copy/paste it directly into websites.",'revslider'); ?></span>
							</div>
						</td>
					</tr>							
					<tr id="show_dev_export_row" valign="top">
						<th scope="row">
							<?php echo $this->__("Font Loading URL:"); ?>
						</th>
						<td>
							<input id="change_font_loading" name="change_font_loading" type="text" class="regular-text" value="<?php echo $change_font_loading; ?>">
							<div class="description_container">
								<span class="description"><?php echo $this->__("Insert something in it and it will be used instead of http://fonts.googleapis.com/css?family= (For example: http://fonts.useso.com/css?family= which will also work for chinese visitors)"); ?></span>				
							</div>
						</td>
					</tr>

					<tr id="advanced_resonsive_sizes_row" valign="top">
						<th scope="row">
							<?php echo $this->__("Default Settings for Advanced Responsive Grid Sizes:"); ?>
						</th>
						<td>
							<div><?php echo $this->__('Desktop Grid Width'); ?>
							<input id="width" name="width" type="text" class="textbox-small" value="<?php echo $width; ?>"></div>
							<div><?php echo $this->__('Notebook Grid Width'); ?>
							<input id="width_notebook" name="width_notebook" type="text" class="textbox-small" value="<?php echo $width_notebook; ?>"></div>
							<div><?php echo $this->__('Tablet Grid Width'); ?>
							<input name="width_tablet" type="text" class="textbox-small" value="<?php echo $width_tablet; ?>"></div>
							<div><?php echo $this->__('Mobile Grid Width'); ?>
							<input name="width_mobile" type="text" class="textbox-small" value="<?php echo $width_mobile; ?>"></div>
							
							<div class="description_container">
                                <span class="description"><?php echo $this->__("Define the default Grid Sizes for devices: Desktop, Tablet and Mobile",'revslider'); ?></span>
							</div>
						</td>
					</tr>
					<tr id="use_hammer_js_row" valign="top">
						<th scope="row">
							<?php echo $this->__("Enable Logs:"); ?>
						</th>
						<td>
							<span id="enable_logs_wrapper" class="radio_settings_wrapper">
								<div class="radio_inner_wrapper">
									<input type="radio" id="enable_logs_1" value="on" name="enable_logs" <?php Mage::helper('nwdrevslider/framework')->checked($enable_logs, 'on'); ?>>
									<label for="enable_logs_1" style="cursor:pointer;"><?php echo $this->__("On"); ?></label>
								</div>

								<div class="radio_inner_wrapper">
									<input type="radio" id="use_hammer_js_2" value="off" name="enable_logs" <?php Mage::helper('nwdrevslider/framework')->checked($enable_logs, 'off'); ?>>
									<label for="use_hammer_js_2" style="cursor:pointer;"><?php echo $this->__("Off"); ?></label>
								</div>
							</span>
							<div class="description_container">
								<span class="description"><?php echo $this->__("Enable console logs for debugging."); ?></span>				
							</div>
						</td>
					</tr>	
                </tbody>
            </table>
		</form>
	</div>
<br>

<a id="button_save_general_settings" class="button-primary" original-title=""><?php echo $this->__("Update"); ?></a>
<span id="loader_general_settings" class="loader_round mleft_10" style="display: none;"></span>

</div>
